Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Memory.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Memory.h	(revision 71)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Memory.h	(revision 72)
@@ -79,11 +79,11 @@
     morpheo::behavioural::Tdcache_data_t rdata;
 
-    if (type == DCACHE_LOAD)
+    if (type == DCACHE_TYPE_LOAD)
       rdata = read  (context, address, type);
     else
-      if ((type == DCACHE_STORE_8 ) or
-	  (type == DCACHE_STORE_16) or
-	  (type == DCACHE_STORE_32) or
-	  (type == DCACHE_STORE_64) )
+      if ((type == DCACHE_TYPE_STORE_8 ) or
+	  (type == DCACHE_TYPE_STORE_16) or
+	  (type == DCACHE_TYPE_STORE_32) or
+	  (type == DCACHE_TYPE_STORE_64) )
 	rdata = write (context, address, type, data);
       else
@@ -186,7 +186,7 @@
     // 3   24
 
-    uint32_t memory_size = ((type==DCACHE_STORE_16)?MEMORY_SIZE_16:
-			    ((type==DCACHE_STORE_32)?MEMORY_SIZE_32:
-			     ((type==DCACHE_STORE_64 )?MEMORY_SIZE_64:MEMORY_SIZE_8)));
+    uint32_t memory_size = ((type==DCACHE_TYPE_STORE_16)?MEMORY_SIZE_16:
+			    ((type==DCACHE_TYPE_STORE_32)?MEMORY_SIZE_32:
+			     ((type==DCACHE_TYPE_STORE_64 )?MEMORY_SIZE_64:MEMORY_SIZE_8)));
 
     uint32_t index_min = LSB<<3; // *8
@@ -265,14 +265,14 @@
 	switch(i->_type)
 	  {
-	  case DCACHE_LOAD            : std::cout << "DCACHE_LOAD           "; break;
-	  case DCACHE_LOCK            : std::cout << "DCACHE_LOCK           "; break;
-	  case DCACHE_INVALIDATE      : std::cout << "DCACHE_INVALIDATE     "; break;
-	  case DCACHE_PREFETCH        : std::cout << "DCACHE_PREFETCH       "; break;
-	  case DCACHE_FLUSH           : std::cout << "DCACHE_FLUSH          "; break;
-	  case DCACHE_SYNCHRONIZATION : std::cout << "DCACHE_SYNCHRONIZATION"; break;
-	  case DCACHE_STORE_8         : std::cout << "DCACHE_STORE_8        "; break;
-	  case DCACHE_STORE_16        : std::cout << "DCACHE_STORE_16       "; break;
-	  case DCACHE_STORE_32        : std::cout << "DCACHE_STORE_32       "; break;
-	  case DCACHE_STORE_64        : std::cout << "DCACHE_STORE_64       "; break;
+	  case DCACHE_TYPE_LOAD            : std::cout << "DCACHE_TYPE_LOAD           "; break;
+	  case DCACHE_TYPE_LOCK            : std::cout << "DCACHE_TYPE_LOCK           "; break;
+	  case DCACHE_TYPE_INVALIDATE      : std::cout << "DCACHE_TYPE_INVALIDATE     "; break;
+	  case DCACHE_TYPE_PREFETCH        : std::cout << "DCACHE_TYPE_PREFETCH       "; break;
+	  case DCACHE_TYPE_FLUSH           : std::cout << "DCACHE_TYPE_FLUSH          "; break;
+	  case DCACHE_TYPE_SYNCHRONIZATION : std::cout << "DCACHE_TYPE_SYNCHRONIZATION"; break;
+	  case DCACHE_TYPE_STORE_8         : std::cout << "DCACHE_TYPE_STORE_8        "; break;
+	  case DCACHE_TYPE_STORE_16        : std::cout << "DCACHE_TYPE_STORE_16       "; break;
+	  case DCACHE_TYPE_STORE_32        : std::cout << "DCACHE_TYPE_STORE_32       "; break;
+	  case DCACHE_TYPE_STORE_64        : std::cout << "DCACHE_TYPE_STORE_64       "; break;
 	  }
 	std::cout << " - "
@@ -294,15 +294,15 @@
   Memory_t * memory = new Memory_t (_nb_context, _nb_word, _size_word);
   
-  memory -> access (2, 0x10, DCACHE_STORE_32, 0xdeadbeef);
-  memory -> access (2, 0x14, DCACHE_STORE_16, 0xdada5678);
-  memory -> access (2, 0x16, DCACHE_STORE_16, 0xbead1234);
-  memory -> access (2, 0x18, DCACHE_STORE_8 , 0x45675681);
-  memory -> access (2, 0x19, DCACHE_STORE_8 , 0x1f311219);
-  memory -> access (2, 0x1a, DCACHE_STORE_8 , 0x2e075607);
-  memory -> access (2, 0x1b, DCACHE_STORE_8 , 0x19811221);
-  
-  TEST(morpheo::behavioural::Tdcache_data_t, memory -> access (2, 0x10, DCACHE_LOAD, 0), 0xdeadbeef);
-  TEST(morpheo::behavioural::Tdcache_data_t, memory -> access (2, 0x14, DCACHE_LOAD, 0), 0x12345678);
-  TEST(morpheo::behavioural::Tdcache_data_t, memory -> access (2, 0x18, DCACHE_LOAD, 0), 0x21071981);
+  memory -> access (2, 0x10, DCACHE_TYPE_STORE_32, 0xdeadbeef);
+  memory -> access (2, 0x14, DCACHE_TYPE_STORE_16, 0xdada5678);
+  memory -> access (2, 0x16, DCACHE_TYPE_STORE_16, 0xbead1234);
+  memory -> access (2, 0x18, DCACHE_TYPE_STORE_8 , 0x45675681);
+  memory -> access (2, 0x19, DCACHE_TYPE_STORE_8 , 0x1f311219);
+  memory -> access (2, 0x1a, DCACHE_TYPE_STORE_8 , 0x2e075607);
+  memory -> access (2, 0x1b, DCACHE_TYPE_STORE_8 , 0x19811221);
+  
+  TEST(morpheo::behavioural::Tdcache_data_t, memory -> access (2, 0x10, DCACHE_TYPE_LOAD, 0), 0xdeadbeef);
+  TEST(morpheo::behavioural::Tdcache_data_t, memory -> access (2, 0x14, DCACHE_TYPE_LOAD, 0), 0x12345678);
+  TEST(morpheo::behavioural::Tdcache_data_t, memory -> access (2, 0x18, DCACHE_TYPE_LOAD, 0), 0x21071981);
 
   TEST(morpheo::behavioural::Tdcache_data_t, memory -> read_lsq (2, 0x10, OPERATION_MEMORY_LOAD_8_Z ), 0x000000ef);
